Bug 205630 - games/xbat: fix segfault and highscore handling
Summary: games/xbat: fix segfault and highscore handling
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords: crash, easy, patch
Depends on:
Blocks:
 
Reported: 2015-12-26 14:01 UTC by Dmitry Marakasov
Modified: 2015-12-29 10:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (TsurutaniNaoki)


Attachments
Patch (2.74 KB, patch)
2015-12-26 14:01 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-12-26 14:01:28 UTC
Created attachment 164682 [details]
Patch

- Use gcc, as the game segfaults being compiled with clang
- Move highscores to /var/games
- Modernize plist
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-26 14:06:59 UTC
Reporter is Committer, assign accordingly
Comment 2 TsurutaniNaoki 2015-12-28 22:17:52 UTC
I think this patch works fine.
Thank you for your report and patch.
Comment 3 commit-hook freebsd_committer 2015-12-29 10:22:11 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 29 10:21:18 UTC 2015
New revision: 404729
URL: https://svnweb.freebsd.org/changeset/ports/404729

Log:
  - Use gcc, as the game segfaults being compiled with clang
  - Move highscores to /var/games
  - Modernize plist

  PR:		205630
  Submitted by:	amdmi3
  Approved by:	turutani@scphys.kyoto-u.ac.jp

Changes:
  head/games/xbat/Makefile
  head/games/xbat/files/patch-Imakefile
  head/games/xbat/pkg-plist